Package Details: purple-whatsapp 0.9.0-1

Git Clone URL: https://aur.archlinux.org/purple-whatsapp.git (read-only)
Package Base: purple-whatsapp
Description: WhatsApp protocol implementation for libpurple (pidgin)
Upstream URL: https://github.com/davidgfnet/whatsapp-purple
Licenses: GPLv2
Provides: purple-whatsapp
Submitter: onny
Maintainer: vinipsmaker
Last Packager: vinipsmaker
Votes: 72
Popularity: 2.364389
First Submitted: 2013-09-07 12:36
Last Updated: 2016-01-29 01:40

Latest Comments

vinipsmaker commented on 2016-05-06 21:40

@Skellington:

Why would that be a reason to remove the package from the AUR? Is it against ArchLinux policy? It's still useful to let users who want to compile it.

Skellington commented on 2016-05-06 13:20

The developer left the project.
“Important! As of April 15th 2016 I won't be working on this plugin anymore. If someone wants to pick up development feel free to email me. There are some other up-to-date APIs that you may want to check (yowsup, ChatAPI, etc).”

@vinipsmaker: Please, remove the package from the AUR repository.

JohnRobson commented on 2016-03-26 04:50

distcc[7824] ERROR: compile /var/tmp/ccache-us/tmp/sessioncip.stdout.pc.7809.mEdKWZ.ii on localhost failed
In file included from sessioncipher.cpp:9:0:
aes.h:1:1: error: expected unqualified-id before ‘.’ token
../aes.h
^
Makefile:77: recipe for target 'sessioncipher.o' failed
make[1]: *** [sessioncipher.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory '/tmp/yaourt-tmp-us/aur-purple-whatsapp/src/whatsapp-purple/libaxolotl-cpp'
Makefile:65: recipe for target 'libaxolotl-cpp/libaxolotl.a' failed
make: *** [libaxolotl-cpp/libaxolotl.a] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build purple-whatsapp.

tm4ig commented on 2016-01-31 18:13

==> ERROR: Cannot find the git package needed to handle git sources.

Docbroke commented on 2016-01-31 01:23

I am getting force closures of pidgin after updating to 0.9.0-1, any one else having the same issue?

vinipsmaker commented on 2016-01-27 09:34

> Getting version with new encryption fairly soon? Any updates on this?

Encryption support was already added to the `master` branch of the repository. The author suggested he will release a new version as soon as he implement the new version of the protocol. I hope this will be done soon.

stef204 commented on 2016-01-27 04:59

Getting version with new encryption fairly soon? Any updates on this?

Docbroke commented on 2015-09-25 07:36

I downloaded this https://github.com/davidgfnet/whatsapp-pidgin-plugin, uncompressed and installed with
make
make install
works fine. Just in case someone wants to know.
Now my whatsapp in pidgin show double ticks of delivery notification.

Docbroke commented on 2015-09-23 01:46

@dequis: thanks for clarifying
@vinipsmaker: looking forward for this package

vinipsmaker commented on 2015-09-20 07:50

@dequis: thanks for clarifying.

I could maintain such package if you guys are okay with that.

All comments